import { ArticleQuery, ArticleState, Article } from "../Types";
export interface SingleArticleSessionArticleQuery extends ArticleQuery {
    getMainArticleComId(): string | undefined;
    getMainArticle(): Article | undefined;
}
export declare const createArticleQuery: (articleState: ArticleState) => SingleArticleSessionArticleQuery;
